Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IFlow

    com.change_vision.jude.api.inf.model.IFlow

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

    public IFlow

extends INamedElement

Interface for Flows.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract String` | `getAction()` Get Action.
`abstract String` | `getGuard()` Get Guard Condition.
`abstract IActivityNode` | `getSource()` Get ActivityNode as Source.
`abstract IActivityNode` | `getTarget()` Get ActivityNode as Target.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getSource

    abstract IActivityNode getSource()

  Get ActivityNode as Source.

  Returns:
    ActivityNode.

### getTarget

    abstract IActivityNode getTarget()

  Get ActivityNode as Target.

  Returns:
    ActivityNode.

### getGuard

    abstract String getGuard()

  Get Guard Condition.

  Returns:
    Guard Condition.

### getAction

    abstract String getAction()

  Get Action.

  Returns:
    Action.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD